package com.b2lmobitech.spottest.encaps;

import java.util.ArrayList;

/**
 * Created by home on 2/6/2018.
 */

public class Question {

    private String questionId;
    private String companyId;
    private String sectionId;
    private String errorMessage;
    private String questionName;
    private String questionType;
    private String Label;
    private String format;
    private String limitMin;
    private String limitMax;
    private String optional;
    private String orderNumber;
    private ArrayList<String> options;
    private ArrayList<Option> optionArrayList;

    public ArrayList<Option> getOptionArrayList() {
        return optionArrayList;
    }

    public void setOptionArrayList(ArrayList<Option> optionArrayList) {
        this.optionArrayList = optionArrayList;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getSectionId() {
        return sectionId;
    }

    public void setSectionId(String sectionId) {
        this.sectionId = sectionId;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public String getOptional() {
        return optional;
    }

    public void setOptional(String optional) {
        this.optional = optional;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public ArrayList<String> getOptions() {
        return options;
    }

    public void setOptions(ArrayList<String> options) {
        this.options = options;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getQuestionName() {
        return questionName;
    }

    public void setQuestionName(String questionName) {
        this.questionName = questionName;
    }

    public String getQuestionType() {
        return questionType;
    }

    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    public String getLabel() {
        return Label;
    }

    public void setLabel(String label) {
        Label = label;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public String getLimitMin() {
        return limitMin;
    }

    public void setLimitMin(String limitMin) {
        this.limitMin = limitMin;
    }

    public String getLimitMax() {
        return limitMax;
    }

    public void setLimitMax(String limitMax) {
        this.limitMax = limitMax;
    }

}
